]> git.sesse.net Git - backup.sh/commitdiff
Some minor fixes for non-privileged backup.
authorSteinar H. Gunderson <sesse@samfundet.no>
Mon, 6 Oct 2014 22:43:56 +0000 (00:43 +0200)
committerSteinar H. Gunderson <sesse@samfundet.no>
Mon, 6 Oct 2014 22:43:56 +0000 (00:43 +0200)
backup.sh

index c79432293d3aff1c8ff392bac8c2581d42193fae..55bad7caf4826e21a5787b0611763848afa84e01 100755 (executable)
--- a/backup.sh
+++ b/backup.sh
@@ -153,13 +153,15 @@ backup()
 #  - No .idx files.
 #  - No .snar-style incremental backups, only date-based.
 #  - No touching of .lastbackup for Nagios.
+#  - Failed tar operations may go undetected, since we only see the error code
+#    the last process in the pipe chain, which is gpg.
 nonprivbackup()
 {
        infomsg "$computer:$filesystem $backuplevel non-privileged backup"
 
        if [ "$backuplevel" = "daglig" ]; then
                lastd=`cat ../.date`
-               lastcmd="\"$lastd\""
+               lastcmd="'$lastd'"
        else
                lastcmd=""
        fi
@@ -169,8 +171,8 @@ nonprivbackup()
        infomsg "Running $TARCMD"
        eval $TARCMD > $TARFILE
 
-       if [ $? -lt 2 ] && [ -s $TARFILE ]; then
-               # File is >0 in size and the remote tar did not report any fatal errors; we assume it worked.
+       if [ $? -eq 0 ] && [ -s $TARFILE ]; then
+               # File is >0 in size and the remote side did not report any fatal errors; we assume it worked.
 
                # Move tar file in place
                mv $TARFILE $DATE.tgz.gpg